javax.persistence.metamodel

## Interface PluralAttribute<X,C,E>

All Superinterfaces:
  Attribute<X,C>, Bindable<E>

All Known Subinterfaces:
  CollectionAttribute<X,E>, ListAttribute<X,E>, MapAttribute<X,K,V>, SetAttribute<X,E>

    public interface PluralAttribute<X,C,E>
    extends Attribute<X,C>, Bindable<E>

### Nested Class Summary

Nested Classes
`static class` `PluralAttribute.CollectionType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute

`Attribute.PersistentAttributeType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

`Bindable.BindableType`

### Method Summary

All Methods Instance Methods Abstract Methods
`PluralAttribute.CollectionType` `getCollectionType()`
`Type<E>` `getElementType()`

### Methods inherited from interface javax.persistence.metamodel.Attribute

`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

### Methods inherited from interface javax.persistence.metamodel.Bindable

`getBindableJavaType, getBindableType`

### Method Detail

#### getCollectionType

    PluralAttribute.CollectionType getCollectionType()

#### getElementType

    Type<E> getElementType()